#
# spec file for package libgames-support
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libgames-support
Version:        1.0.2
Release:        bp153.1.18
Summary:        Internal support library for GNOME games
License:        LGPL-3.0-or-later
Group:          Development/Libraries/GNOME
Source:         http://download.gnome.org/sources/libgames-support/1.0/%{name}-%{version}.tar.xz
BuildRequires:  gnome-common
BuildRequires:  intltool >= 0.50.2
BuildRequires:  pkgconfig
BuildRequires:  vala >= 0.24
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0) >= 2.40
BuildRequires:  pkgconfig(glib-2.0) >= 2.40
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.19.2
Recommends:     %{name}-lang

%description
libgames-support is a small library intended for internal use by
GNOME Games, but it may be used by others. The API will only break
with the major version number. The ABI is unstable.

%package -n libgames-support2
Summary:        Internal support library for GNOME games
# In order for the -lang package to be installable
Group:          System/Libraries
Provides:       %{name} = %{version}

%description -n libgames-support2
libgames-support is a small library intended for internal use by
GNOME Games, but it may be used by others. The API will only break
with the major version number. The ABI is unstable.

%package devel
Summary:        Development files for the GNOME Internal games library
Group:          Development/Libraries/C and C++
Requires:       libgames-support2 = %{version}

%description devel
libgames-support is a small library intended for internal use by
GNOME Games, but it may be used by others. The API will only break
with the major version number. The ABI is unstable.

%lang_package

%prep
%setup -q

%build
if [ ! -e configure ]; then ./autogen.sh; fi
%configure

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%files -n libgames-support2
%license COPYING.LESSER

%{_libdir}/libgames-support.so.2*

%files devel
%{_includedir}/gnome-games/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/

%files lang -f %{name}.lang

%changelog
* Mon Mar  5 2018 jengelh@inai.de
- Fix SRPM group.
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Sat May  7 2016 zaitor@opensuse.org
- Update to version 1.0.2:
  + Updated translations.
* Fri Apr  8 2016 zaitor@opensuse.org
- Update to version 1.0.1:
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 1.0:
  + Updated translations.
* Mon Mar  7 2016 zaitor@opensuse.org
- Update to version 0.91:
  + Adjust column spacing on scores dialog.
  + Add missing mnemonic to done button on scores dialog.
  + Updated translations.
* Tue Feb 16 2016 dimstar@opensuse.org
- Update to version 0.90:
  + Add ability to import old scores.
  + Various fixes and improvements.
  + Various API changes.
  + Updated translations.
- Rename libgames-support1 subpackage to libgames-support2,
  following upstreams soname bump.
* Wed Dec 23 2015 dimstar@opensuse.org
- Update to version 0.2:
  + API break: replace Context.get_best_n_scores with
    Context.get_high_scores. The new function returns a
    non-nullable Gee.List (with possibly zero elements) rather than
    a nullable GLib.List (which was never empty if non-null).
  + Updated translations.
- Rename libgames-support0 subpackage to libgames-support1,
  following upstreams soname bump.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 0.1:
  + Initial release.
* Tue Aug 18 2015 opensuse-packaging@opensuse.org
- Update to version 0.1~git.20150816:
  + Add Games.GridFrame
  + Add workaround to fix Continuous
  + Fix style checker to work with the *all* flag
  + Make the scores dialog look good when no scores are present
  + Center the "no scores yet" box
  + Fix false positive detected by style checker
  + Updated Czech translation
  + Updated Polish translation
  + Minor style tweak
  + Even out spacing between columns in the high scores dialog.
* Tue Mar 31 2015 dimstar@opensuse.org
- Initial package.
